#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
#avoiding to strip guile go file
%global		__strip		/bin/true
%global		pyvers		2.1
%global		guilevers	3.0
#-----------------------------------------------------------------------------
Name		:	aisleriot
Version		:	3.22.21
Release		:	14.8.0.0%{?dist}
Summary		:	GNOME Chess game

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and LGPLv3+ and GFDL and CC-BY-SA

URL		:	https://gitlab.gnome.org/GNOME/aisleriot
Source0		:	%{name}-%{version}.tar.gz
Source1		:	PySolFC-Cardsets-%{pyvers}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gtk3+
BuildRequires	:	itstool
BuildRequires	:	libcanberra
BuildRequires	:	meson
BuildRequires	:	vala
BuildRequires	:	pkgconfig(guile-3.0)
BuildRequires	:	pkgconfig(librsvg-2.0)

Requires	:	guile
Requires	:	gtk3+
#-----------------------------------------------------------------------------
%description
A chess game that supports several chess engines

#-----------------------------------------------------------------------------
%files	-f	 %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%license COPYING.GPL3 COPYING.LGPL3 COPYING.GFDL
%{_bindir}/sol
%{_libdir}/%{name}/guile/%{guilevers}/*.go
%{_libdir}/%{name}/guile/%{guilevers}/%{name}/*.go
%{_libdir}/valgrind/%{name}.supp
%{_libexecdir}/%{name}/ar-cards-renderer
%{_datadir}/%{name}/cards/*.svgz
%{_datadir}/%{name}/sounds/*.ogg
%{_datadir}/applications/sol.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/%{name}/icons/hicolor/*/actions/*.png
%{_datadir}/%{name}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/icons/hicolor/symbolic/apps/gnome-%{name}-symbolic.svg
%{_datadir}/PySolFC/PySolFC-Cardsets-%{pyvers}
%{_datadir}/metainfo/sol.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_mandir}/man6/sol.6.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/%{name}/icons/hicolor 2> /dev/null
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/%{name}/icons/hicolor 2> /dev/null

#=============================================================================
%prep
%autosetup -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=plain				\
	-D theme_kde=false				\
	-D theme_pysol=true				\
	-D theme_pysol_path=%{_datadir}/PySolFC		\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

%find_lang %{name} --with-gnome

#installing PySol card set
%{__mkdir_p} %{buildroot}%{_datadir}/PySolFC
(
cd %{buildroot}%{_datadir}/PySolFC
tar xf %{SOURCE1}
)
#-----------------------------------------------------------------------------
%changelog

